#!/bin/sh

# Simple script to make a quick AppDir wrapper.
# The first parameter is the target AppDir, the second is the command
# to be run by the AppDir, the third is an optional icon.

if [[ $# -ne 2 && $# -ne 3 ]] ; then
	echo "usage: $0 appdir command [icon]"
	exit 1
fi

APPDIR="$1"
COMMAND="$2"
ICON="$3"
if [[ -d "$APPDIR" ]] ; then
	echo "$APPDIR already exists!"
	exit 1
fi
mkdir -p "$APPDIR"
echo "$COMMAND" > "$APPDIR/AppRun"
chmod +x "$APPDIR/AppRun"
if [[ -f "$ICON" ]] ; then
	cp "$ICON" "$APPDIR/.DirIcon"
fi
